"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertLessError = void 0;
/** Convert less error into esbuild error */
const convertLessError = (error) => {
    const sourceLine = error.extract.filter(Boolean);
    const lineText = sourceLine.length === 3 ? sourceLine[1] : sourceLine[0];
    return {
        text: error.message || 'less compile error',
        location: {
            namespace: 'file',
            file: error.filename,
            line: error.line,
            column: error.column,
            lineText,
        },
    };
};
exports.convertLessError = convertLessError;
